System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 All the dynamic members are not designed to be thread safe. System.Xml.XmlNamespaceManager

For more information on using , see article Q324899, "HOW TO: Implement and Use Custom Functions When You Execute XPath Queries in Visual Basic .NET" in the Microsoft Knowledge Base at http://support.microsoft.com.

Encapsulates the current execution context of the Extensible Stylesheet Language for Transformations (XSLT) processor allowing XML Path Language (XPath) to resolve functions, parameters, and namespaces within XPath expressions.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified .

  The to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  This method supports the XSLT document() function which specifies that nodes selected across multiple documents are always returned in the same order.

  The order is implementation-specific.

  When overridden in a derived class, compares the base Uniform Resource Identifiers (URIs) of two documents based upon the order the documents were loaded by the XSLT processor (that is, the class).

  An integer value describing the relative order of the two base URIs: -1 if occurs before ; 0 if the two base URIs are identical; and 1 if occurs after .

  The base URI of the first document to compare. The base URI of the second document to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` The return value comes from the nearest ancestor's preserve-whitespace or strip-whitespace attribute value.

  When overridden in a derived class, evaluates whether to preserve white space nodes or strip them for the given context.

  Returns true if the white space is to be preserved or false if the white space is to be stripped.

  The white space node that is to be preserved or stripped in the current context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Xsl.IXsltContextFunction `` `` `` To be added.

  When overridden in a derived class, resolves a function reference and returns an representing the function. The is used at execution time to get the return value of the function.

  An representing the function.

  The prefix of the function as it appears in the XPath expression. The name of the function. An array of argument types for the function being resolved. This allows you to select between methods with the same name (for example, overloaded methods).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Xsl.IXsltContextVariable `` ``

  The is used at execution time to get the value of the variable.

  When overridden in a derived class, resolves a variable reference and returns an representing the variable.

  An representing the variable at runtime.

  The prefix of the variable as it appears in the XPath expression. The name of the variable.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if preserve; othewise False. To be added.

  When overridden in a derived class, gets a value indicating whether to include white space nodes in the output.